FROM debian:bookworm-slim

ARG DEBIAN_FRONTEND=noninteractive

LABEL io.perinet.image.is-system-container="true"
LABEL io.perinet.image.init="/sbin/init"

# ATTENTION wildcard copy to symlinked directorires are not supported
COPY rootfs/etc/ /etc/

RUN apt-get update
RUN apt-get install --no-install-recommends -y systemd-sysv procps iproute2 iputils-ping
RUN apt-get install --no-install-recommends -y sudo wget llmnrd jq vim-tiny openssl
RUN apt-get install --no-install-recommends -y avahi-daemon avahi-utils libnss-mdns
RUN apt-get autoremove -y
RUN apt-get clean -y

# TODO dpkg-licenses

RUN sed -i 's/mdns4_minimal/mdns6_minimal/' /etc/nsswitch.conf

CMD [ "/sbin/init" ]
